﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CoboltMonitor.Gui
{
    public partial class LogInDlg : Form
    {
        public String InputString { get; set; }

        public LogInDlg()
        {
            InitializeComponent();
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            InputString = tbPassword.Text;
            Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void LogInDlg_Activated(object sender, EventArgs e)
        {
            tbPassword.Text = "";
        }

        private void tbPassword_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == (char)Keys.Return)
            {
                InputString = tbPassword.Text;
                DialogResult = DialogResult.OK;
                Close();
            }
        }
    }
}
